/************************************************************************************
 * Copyright (C) 2018 ALTIMA Company MACNICA, Inc. All Rights Reserved.\n
 *   This software is licensed "AS IS". 
 *   Please perform use of this software by a user's own responsibility and expense.
 *   It cannot guarantee in the maker side about the damage which occurred by the ab-
 *   ility not to use or use this software, and all damage that occurred secondarily.
 ***********************************************************************************/

#ifndef CMD_H_
#define CMD_H_

/* Standard Headers */
#include <stdio.h>
#include <string.h>

#include <sys/mman.h>
#include <fcntl.h>
#include <unistd.h>

#include <sys/ioctl.h>

/* User Headers */

typedef struct command {
	char* name;
	char* usage;
	int (*func)(char* options);
} COMMANDS_LIST;


/* Function Prototype */
int cmd_execute(void);

int cmd_dummy(char* options);
int cmd_menu(char* options);
int cmd_exit(char* options);

int cmd_led(char* options);
int cmd_mem_dump(char* options);
int cmd_mem_test(char* options);
int cmd_cfgread( char *option );
int cmd_cfgwrite( char *option );
int cmd_pci_config_dump(char* options);
int cmd_barX_read(char* options);
int cmd_barX_write(char* options);


#endif
