/************************************************************************************
 * Copyright (C) 2018 ALTIMA Company MACNICA, Inc. All Rights Reserved.\n
 *   This software is licensed "AS IS". 
 *   Please perform use of this software by a user's own responsibility and expense.
 *   It cannot guarantee in the maker side about the damage which occurred by the ab-
 *   ility not to use or use this software, and all damage that occurred secondarily.
 ***********************************************************************************/

#include <stdio.h>
#include <stdlib.h>

#include <stdint.h>

#include <fcntl.h>
#include <unistd.h>

#include <sys/ioctl.h>
#include <errno.h>

#include "magnes_ioctl.h" //from driver directory
#include "cmd.h"
#include "pci.h"
#include "mem_util.h"

#define CONTINUE_LOG_MODE (0)


void print_logo(void)
{
	printf("---------------------------------------------------------------\n");
	printf("---------------------------------------------------------------\n");
	printf(" __       __                                                   \n");
	printf("/  $     /  |                                                  \n");
	printf("$$  $   /$$ |  ______    ______   _______    ______    _______ \n");
	printf("$$$  $ /$$$ | /      $  /      $ /       $  /      $  /       |\n");
	printf("$$$$  /$$$$ | $$$$$$  |/$$$$$$  |$$$$$$$  |/$$$$$$  |/$$$$$$$/ \n");
	printf("$$ $$ $$/$$ | /    $$ |$$ |  $$ |$$ |  $$ |$$    $$ |$$      $ \n");
	printf("$$ |$$$/ $$ |/$$$$$$$ |$$ $__$$ |$$ |  $$ |$$$$$$$$/  $$$$$$  |\n");
	printf("$$ | $/  $$ |$$    $$ |$$    $$ |$$ |  $$ |$$       |/     $$/ \n");
	printf("$$/      $$/  $$$$$$$/  $$$$$$$ |$$/   $$/  $$$$$$$/ $$$$$$$/  \n");
	printf("                       /  $__$$ |                              \n");
	printf("                       $$    $$/                               \n");
	printf("                        $$$$$$/                                \n");
	printf("---------------------------------------------------------------\n");
	printf("---------------------------------------------------------------\n");
}

int main(void)
{
	char str[] = "menu";

#if CONTINUE_LOG_MODE

	print_logo();

	cmd_menu(str);
	while(1){
		if(cmd_execute()) {
			break;	// Exit Test loop!!!
		}
	}
#else
	while(1){
		system("clear");
		print_logo();
		cmd_menu(str);

		if(cmd_execute()) {
			printf("Exit loop \n\n");
			break;	// Exit Test loop!!!
		}

		printf("\nPlease Input Enter Key:");
		while('\n' != getchar()); //wait key input
	}
#endif


	return 0;
}
